[removal request] Remove all java 1.4 bits from hardy (Was: Epiphany crashes inside xulrunner when j2re1.4 is installed)

Bug #214468 reported by Mary Gardiner on 2008-04-09
8
Affects Status Importance Assigned to Milestone
j2se1.4-amd64 (Ubuntu)
Undecided
Unassigned
j2se1.4-i586 (Ubuntu)
Undecided
Unassigned
meta-j2re1.4-mozilla (Ubuntu)
Undecided
Unassigned
xulrunner-1.9 (Ubuntu)
Medium
Unassigned

Bug Description

Since http://www.mozilla.org/security/announce/2008/mfsa2008-18.html we would need to update java 1.4 to work properly with firefox again. however, there is no amd port available for latest 1.4 and since amd is the only reason we kept this in the archive, please remove everything.

============= Original Summary =============
Binary package hint: epiphany-browser

This is not the same as bug 181893, which is just about them being difficult to view.

Epiphany, with the following versions, now completely crashes when visiting HTTPS sites, regardless of the validity of their certificate. It also crashes on some other sites, such as http://slashdot.org/

Versions:

epiphany-browser: 2.22.1.1-0ubuntu1
epiphany-gecko: 2.22.1.1-0ubuntu1
xulrunner-1.9: 1.9~b5+nobinonly-0ubuntu1
epiphany-extensions: 2.22.0-0ubuntu1
epiphany-browser-dbg: 2.22.1.1-0ubuntu1

Sites tested: https://launchpad.net/ (has a valid certificate), https://bugtrack.alsa-project.org/ (self-signed), https://divmod.com/ (self-signed).

I can't get apport to catch the crash (it's running, I have no idea how apport is meant to work from there), so I will attach a manually obtained stack trace.

Mary Gardiner (puzzlement) wrote :

This is a regression for me, of the last 24 hours or so.

Sebastien Bacher (seb128) wrote :

could you install xulrunner-1.9-dbgsym and get a new stacktrace?

https://wiki.ubuntu.com/DebuggingProgramCrash explains how to install dbgsyms, you add "deb http://ddebs.ubuntu.com hardy main universe " to your apt sources and install any dbgsym from there

Mary Gardiner (puzzlement) wrote :

The "backtrace full" step of https://wiki.ubuntu.com/Backtrace has currently produced 7 megabytes of output (at #24000 or so) and is showing no signs of stopping. I've attached the first 1000 levels.

Mary Gardiner (puzzlement) wrote :

Here it is again, with "backtrace full 1000", "info registers", "thread apply all backtrace 1000", different process.

Update: the HTTPS thing was a blind alley, I just didn't check enough HTTP sites (Slashdot crashes).

The culprit seems to be having the j2re1.4 package installed.

description: updated
Alexander Sack (asac) wrote :

unless this can be reproduced with java > 1.4 in firefox/epiphany, its safe t oassume that we won't fix this on xulrunner-1.9 side.

This crash is most likely a fall out of fixes related to http://www.mozilla.org/security/announce/2008/mfsa2008-18.html on the trunk.

description: updated
Changed in xulrunner-1.9:
status: New → Won't Fix
Changed in j2se1.4-amd64:
status: New → Confirmed
Changed in j2se1.4-i586:
status: New → Invalid
status: Invalid → Confirmed
Changed in meta-j2re1.4-mozilla:
status: New → Confirmed
Alexander Sack (asac) wrote :

sorry, for this, but this needs to happen for hardy.

Changed in j2se1.4-amd64:
milestone: none → ubuntu-8.04
Changed in j2se1.4-i586:
milestone: none → ubuntu-8.04
Changed in meta-j2re1.4-mozilla:
milestone: none → ubuntu-8.04
Alexander Sack (asac) wrote :

as discussed with seb128 we should make xulrunner conflict with the java plugin. claiming milestone as well.

Changed in xulrunner-1.9:
importance: Undecided → Medium
milestone: none → ubuntu-8.04
status: Won't Fix → Triaged
Mary Gardiner (puzzlement) wrote :

Regarding reproducing it with java > 1.4, no, not so far. I have sun-java5-jre installed and that's fine.

Steve Langasek (vorlon) wrote :

2008-04-11 00:22:42 INFO creating lockfile
2008-04-11 00:22:45 INFO Removing candidates:
2008-04-11 00:22:45 INFO j2se1.4-amd64 1.4.2.02-1ubuntu2 in hardy
2008-04-11 00:22:45 INFO Removed-by: Steve Langasek
2008-04-11 00:22:45 INFO Comment: broken with current xulrunner; superseded by sun-java5 and later
2008-04-11 00:22:45 INFO 1 package successfully removed.
Confirm this transaction? [yes, no] yes
2008-04-11 00:23:11 INFO Transaction committed.
2008-04-11 00:23:11 INFO The archive will be updated in the next publishing cycle.

Changed in j2se1.4-amd64:
status: Confirmed → Fix Released
Steve Langasek (vorlon) wrote :

2008-04-11 00:25:00 INFO creating lockfile
2008-04-11 00:25:04 INFO Removing candidates:
2008-04-11 00:25:04 INFO j2se1.4-i586 1.4.2.02-1ubuntu4 in hardy
2008-04-11 00:25:04 INFO Removed-by: Steve Langasek
2008-04-11 00:25:04 INFO Comment: broken with current xulrunner; superseded by sun-java5 and later
2008-04-11 00:25:04 INFO 1 package successfully removed.
Confirm this transaction? [yes, no] yes
2008-04-11 00:25:07 INFO Transaction committed.
2008-04-11 00:25:07 INFO The archive will be updated in the next publishing cycle.

Changed in j2se1.4-i586:
status: Confirmed → Fix Released
Steve Langasek (vorlon) wrote :

2008-04-11 00:28:39 INFO creating lockfile
2008-04-11 00:28:43 INFO Removing candidates:
2008-04-11 00:28:43 INFO meta-j2re1.4-mozilla 1:0ubuntu6 in hardy
2008-04-11 00:28:43 INFO j2re1.4-mozilla-plugin 1:0ubuntu6 in hardy amd64
2008-04-11 00:28:43 INFO j2re1.4-mozilla-plugin 1:0ubuntu6 in hardy i386
2008-04-11 00:28:43 INFO Removed-by: Steve Langasek
2008-04-11 00:28:43 INFO Comment: broken with current xulrunner; superseded by sun-java5 and later
2008-04-11 00:28:43 INFO 3 packages successfully removed.
2008-04-11 00:28:43 INFO Transaction committed.
2008-04-11 00:28:43 INFO The archive will be updated in the next publishing cycle.

Changed in meta-j2re1.4-mozilla:
status: Confirmed → Fix Released
Alexander Sack (asac) wrote :

fix committed to 1.9.dev branch. xulrunner-1.9 now conflicts with j2re1.4-mozilla-plugin

Changed in xulrunner-1.9:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xulrunner-1.9 - 1.9~b5+nobinonly-0ubuntu2

---------------
xulrunner-1.9 (1.9~b5+nobinonly-0ubuntu2) hardy; urgency=low

  * fix "firefox-3.0 gets removed on dist-upgrade when firefox-3.0 build is
    not available on mirror". We deal with this situation by dropping the
    Break: field from xulrunner-1.9 and adding upper bounds on xulrunner-1.9
    to firefox-3.0 binary.
    - update debian/control

  * improve translation support by shipping a crafted install.rdf. We ship a
    template install.rdf.in in debian/translation-support and replace the
    em:{version,maxVersion,minVersion} during build. For now those versions
    are maintained manually because we need maintainer attention on upgrades
    considering the upstream string freeze. To increase failsafeness, we fail
    the build if the version appears to be out of sync with the upstream
    version in the post-install target. The install.rdf is finally added to
    the zip file in the binary-post-install rule used to produce the
    en-US.xpi.
    - add debian/translation-support/install.rdf.in
    - update debian/rules

  * fix "USE_SYSTEM_NSS checks nspr version, not nss"
    - update debian/rules

  * fix "firefox resets user prefs if the user sets a preference that is equal
    to the default shipped by firefox/xulrunner that was overloaded with an
    extension default (aka ubufox). (LP: #203306). Patch ported from ffox 2
    package.
    - add debian/patches/bzXXX-dont-reset-user-prefs-on-upgrade.patch
    - update debian/patches/series

  * fix "broken wizard binding with javascript policies in place" -
    For particular, this fixes "plugin installer wizard broken with adblock or
    noscript installed" (LP: #215672). Patch taken from bugzilla 425814
    - add debian/patches/bz425814_att315081.patch
    - update debian/patches/series

  * conflict with removed from archive package j2re1.4-mozilla-plugin as it
    causes crashes in latest gecko code (LP: #214468)
    - update debian/control

 -- Alexander Sack <email address hidden> Tue, 15 Apr 2008 11:59:05 +0200

Changed in xulrunner-1.9:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

j2re1.4-mozilla-plugin doesn't ship the plugin itself. we should conflict the main runtime package j2re instead.

Changed in xulrunner-1.9:
status: Fix Released → Triaged
Alexander Sack (asac) wrote :

uploaded latest fix from bzr branch above

Changed in xulrunner-1.9:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xulrunner-1.9 - 1.9~b5+nobinonly-0ubuntu3

---------------
xulrunner-1.9 (1.9~b5+nobinonly-0ubuntu3) hardy; urgency=low

  * j2re1.4 is the package that ships the plugin, not the mozilla-plugin
    package. fixing conflicts for LP: #214468.
    - update debian/control

xulrunner-1.9 (1.9~b5+nobinonly-0ubuntu2) hardy; urgency=low

  * fix "firefox-3.0 gets removed on dist-upgrade when firefox-3.0 build is
    not available on mirror". We deal with this situation by dropping the
    Break: field from xulrunner-1.9 and adding upper bounds on xulrunner-1.9
    to firefox-3.0 binary.
    - update debian/control

  * improve translation support by shipping a crafted install.rdf. We ship a
    template install.rdf.in in debian/translation-support and replace the
    em:{version,maxVersion,minVersion} during build. For now those versions
    are maintained manually because we need maintainer attention on upgrades
    considering the upstream string freeze. To increase failsafeness, we fail
    the build if the version appears to be out of sync with the upstream
    version in the post-install target. The install.rdf is finally added to
    the zip file in the binary-post-install rule used to produce the
    en-US.xpi.
    - add debian/translation-support/install.rdf.in
    - update debian/rules

  * fix "USE_SYSTEM_NSS checks nspr version, not nss"
    - update debian/rules

  * fix "firefox resets user prefs if the user sets a preference that is equal
    to the default shipped by firefox/xulrunner that was overloaded with an
    extension default (aka ubufox). (LP: #203306). Patch ported from ffox 2
    package.
    - add debian/patches/bzXXX-dont-reset-user-prefs-on-upgrade.patch
    - update debian/patches/series

  * fix "broken wizard binding with javascript policies in place" -
    For particular, this fixes "plugin installer wizard broken with adblock or
    noscript installed" (LP: #215672). Patch taken from bugzilla 425814
    - add debian/patches/bz425814_att315081.patch
    - update debian/patches/series

  * conflict with removed from archive package j2re1.4-mozilla-plugin as it
    causes crashes in latest gecko code (LP: #214468)
    - update debian/control

 -- Alexander Sack <email address hidden> Tue, 15 Apr 2008 15:16:07 +0200

Changed in xulrunner-1.9:
status: Fix Committed → Fix Released
Jos Dehaes (jos-dehaes) wrote :

Ok, so java 1.4 conflicts with xulrunner, but I am a Java developer, and I *need* to have java 1.4, java 5 and java 6 installed for my business!

David Symons (bimberi) wrote :

How about changing the conflict to be against epiphany-gecko?

My workplace requires j2re1.4 for some of its webapps. At the moment I have to repackage xulrunner-1.9 without the conflict (with careful versioning to ensure Ubuntu's updates get preference) and getting j2re1.4 directly from the archive. All runs OK using Firefox. I think I'll have to automate the process as the updates to xulrunner are quite frequent.

If the conflict was set against epiphany-gecko instead I wouldn't need to repackage. We don't use epiphany-browser.

Cheers, Dave.

Alex (alex-escalante) wrote :

Me too... I need java 1.4 and I can't get it properly installed. I used make-jpkg to build a .deb package from the java 1.4 bin file and now I can't install it because it conflicts with xulrunner...

What is the way to go in this case to have java 1.4 properly installed on Hardy?

thanks in advance,
Alex

On Wed, Jun 25, 2008 at 06:31:10PM -0000, Alex wrote:
> Me too... I need java 1.4 and I can't get it properly installed. I used
> make-jpkg to build a .deb package from the java 1.4 bin file and now I
> can't install it because it conflicts with xulrunner...
>
> What is the way to go in this case to have java 1.4 properly installed
> on Hardy?

Conflict? I guess its just not enabled for xulrunner-1.9. we need to
install the proper alternatives in make-jpkg. for that java-package
package needs to be fixed.

Any volunteers can ask in #ubuntu-mozillateam how to do that.

 - Alexander

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers